<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_76b2584d18510f887f4a6f6b" . "81f96952" => base64_decode("Y29tbW9uLmhlYWR" . "lci5mb3J1bQ=="), "_d36d5ad3900" . "b429055d2ab3" . "05b68bdbd" => base64_decode("Zm9ydW1fbWVzc2" . "FnZQ=="), "_0c5123aa744f69bbc" . "0e8b3ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_4cb84eb74ebb3a0cd6e531ea" . "a8157092" => base64_decode("YXBwX2Zvcn" . "Vt"));
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d36d5ad3900b429055d2" . "ab305b68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_76b2584d18510f887f4a6f" . "6b81f96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4cb84eb74ebb3a0c" . "d6e531eaa8157092"];
    }
}